stages:
  - build

build:kubectl_helm_image:
  stage: build
  image:
    name: docker:19.03.13-dind
  only:
    refs:
      - master
  tags:
    - private-runner
    - algeran
  variables:
    IMAGE_NAME: kubectl-helm
    IMAGE_TAG: v1
    KUBECTL_VERSION: v1.15.5
    HELM_VERSION: v3.0.2
  before_script:
    - docker login -u ${DOCKER_REGISTRY_LOGIN} -p ${DOCKER_REGISTRY_PASSWORD}
  script:
    - docker build
      -t algeran/$IMAGE_NAME:$IMAGE_TAG
      --build-arg KUBECTL_VERSION
      --build-arg HELM_VERSION
      .
    - docker push algeran/$IMAGE_NAME:$IMAGE_TAG
